com.unitech.lib.uhf.types

## Enum TagInfoId

- java.lang.Object
- - java.lang.Enum<TagInfoId>
  - - com.unitech.lib.uhf.types.TagInfoId

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<TagInfoId>

      public enum TagInfoId
      extends Enum<TagInfoId>
      implements IEnumType

  Enumeration representing different tag information IDs.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Antenna` The antenna ID.
    `EPC` The EPC (Electronic Product Code) bytes of the tag.
    `Frequency` The frequency of the tag.
    `PC` The PC (Protocol Control) bytes of the tag.
    `PhaseData` The phase data associated with the tag.
    `Q` The Q value associated with the tag.
    `RoundCount` The round count associated with the tag.
    `RSSI` The RSSI (Received Signal Strength Indicator) of the tag.
    `TagCount` The total tag count.
    `TID` The TID (Tag Identification) bytes of the tag.
    `Timestamp` The timestamp of the tag.
    `UserData` The user-specified data.
    `XPC` The XPC (Extended Protocol Control) bytes of the tag.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `String` | `toString()` Overrides the toString method to return the textual description of the tag information ID.
    `static TagInfoId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TagInfoId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Antenna

          public static final TagInfoId Antenna

      The antenna ID.

    - #### Frequency

          public static final TagInfoId Frequency

      The frequency of the tag.

    - #### RSSI

          public static final TagInfoId RSSI

      The RSSI (Received Signal Strength Indicator) of the tag.

    - #### PC

          public static final TagInfoId PC

      The PC (Protocol Control) bytes of the tag.

    - #### EPC

          public static final TagInfoId EPC

      The EPC (Electronic Product Code) bytes of the tag.

    - #### TID

          public static final TagInfoId TID

      The TID (Tag Identification) bytes of the tag.

    - #### RoundCount

          public static final TagInfoId RoundCount

      The round count associated with the tag.

    - #### Q

          public static final TagInfoId Q

      The Q value associated with the tag.

    - #### TagCount

          public static final TagInfoId TagCount

      The total tag count.

    - #### XPC

          public static final TagInfoId XPC

      The XPC (Extended Protocol Control) bytes of the tag.

    - #### UserData

          public static final TagInfoId UserData

      The user-specified data.

    - #### PhaseData

          public static final TagInfoId PhaseData

      The phase data associated with the tag.

    - #### Timestamp

          public static final TagInfoId Timestamp

      The timestamp of the tag.

  - ### Method Detail

    - #### values

          public static TagInfoId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagInfoId c : TagInfoId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagInfoId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides the toString method to return the textual description of the tag information ID.
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<TagInfoId>`
      Returns:
        The description of the tag information ID.

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value